<!DOCTYPE html>
<html>
 <head>
   <meta charset="utf-8" />
   <title>JS-ADV. Lesson 1. Task 2 </title>
</head>
<body>
  <div class="wrap" id="app">

    <header>
      <button>RED</button>
      <button>BLUE</button>
      <button>GREEN</button>
    </header>

    <h2 id="user">Users:</h2>
    <div class="container">
      <ul id="list">
        <li id="JackLi">Jack</li>
        <li class="show test">Marlyn</li>
        <li name="Dexter" id="test" class="show test">Dexter</li>
      </ul>
    </div>
    <input id="TestAttribute"/>
    <div id="createArea" name="block"></div>

  </div>

  <script>
    /*
      Задание:

        1. Выбрать как элемент блок с id - test;
        2. Выбрать по css селектору все button
        3. Выбрать родительский элемент .wrap используя точку отсчета блок с с id = createArea.
        4. Выбрать все элементы li по тегу
        5. Выбрать  элементы по классу 'test'
    */
    //var testElem = document.getElementById('test');
    console.log('testElem:', document.getElementById('test'));
    console.log('buttons:',document.querySelectorAll('button')); 
    
    var createAreaElem = document.getElementById('createArea');
    console.log('.wrap:', createAreaElem.closest('.wrap'));

    console.log('все li', document.getElementsByTagName('li'));

    console.log('все классу "test"', document.getElementsByClassName('test'));
  </script>
</body>
</html>
